Last Comment Bug 41412 - [FLOAT] text overlapping top edge of pushed-down float
: [FLOAT] text overlapping top edge of pushed-down float
Status: RESOLVED FIXED
[CSS1-5.5.25][Hixie-P2] (high profile...
: css1, helpwanted, testcase
Product: Core
Classification: Components
Component: Layout (show other bugs)
: Trunk
: All All
: P3 major with 12 votes (vote)
: mozilla1.9.2a1
Assigned To: David Baron :dbaron: ⌚️UTC-7
:
:
Mentors:
http://www.webstandards.org/css/macie...
: 59811 251139 260095 305169 347859 381988 (view as bug list)
Depends on: 25888
Blocks: float 345369 71668 104166 271371 279466 458386
  Show dependency treegraph
 
Reported: 2000-06-03 12:31 PDT by Masatoshi Kimura [:emk]
Modified: 2014-04-26 03:06 PDT (History)
18 users (show)
dbaron: in‑testsuite?
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
testcase (732 bytes, text/html)
2000-06-03 12:32 PDT, Masatoshi Kimura [:emk]
no flags Details
HTML 4 Strict test case (718 bytes, text/html)
2000-08-04 22:25 PDT, Hixie (not reading bugmail)
no flags Details
AnotherCase (3.59 KB, text/html)
2005-04-12 12:12 PDT, Matthew McGillis
no flags Details

Description Masatoshi Kimura [:emk] 2000-06-03 12:31:53 PDT
Steps to reproduce:
1. Launch Mozilla.
2. Navigate to the following attachment.

Actual result:
Fourth line of the text overlap with the right floater.

Expected result:
text should not overlap with floats.

Observed on:
2000060220 nightly build on Windows 2000.
Comment 1 Masatoshi Kimura [:emk] 2000-06-03 12:32:36 PDT
Created attachment 9568 [details]
testcase
Comment 2 karnaze (gone) 2000-06-12 16:03:43 PDT
Reassiging to Kevin for bug triage.
Comment 3 Kevin McCluskey (gone) 2000-06-14 15:20:35 PDT
Steve, could you look at this? Unless clip is set on views for the floaters they
will display their contents. 
Comment 4 David Baron :dbaron: ⌚️UTC-7 2000-06-16 10:52:05 PDT
(This bug will probably reappear once Steve checks in his float percentage width 
fix today (the testcase depends on that bug being fixed.)

This looks bad.  Nominating nsbeta3 because it's a standards-compliance issue, 
and it probably will affect some real web pages (especially as more pages start 
using CSS floats for layout).
Comment 5 Hixie (not reading bugmail) 2000-07-25 20:52:05 PDT
As per meeting with ChrisD today, taking QA.
Comment 6 Hixie (not reading bugmail) 2000-08-04 22:25:26 PDT
Created attachment 12408 [details]
HTML 4 Strict test case
Comment 7 Hixie (not reading bugmail) 2000-08-04 22:54:31 PDT
David: The first testcase demonstrates a bug in the quirks mode "don't push
floats down" code that causes overlaps, so you are probably correct; we should
disable that quirk as much as possible.

The new testcase gets around this problem and demonstrates the issue very well.
Note that this bug shows up on a WaSP test page. (However, this is probably one
of our less dramatic float errors...)
Comment 8 Marc Attinasi 2000-08-07 10:26:45 PDT
Denied beta3: too many float bugs to fix them all for beta3
Comment 9 Hixie (not reading bugmail) 2000-08-25 13:41:59 PDT
This will make lots of pages look bad, and it makes it unsafe to use floats
around text, which is the main use of floats. 
Comment 10 Hixie (not reading bugmail) 2000-09-04 22:54:11 PDT
I know we still do not have enough resources to get this fixed. However:

Removing [nsbeta3-] to put this floater bug (and 3 others) back onto the 
developer radar, as per suggestion by Gerardo.
Comment 11 buster 2000-09-19 10:28:34 PDT
changed (beta3 minus per triaging) to [nsbeta3-] so searches work correctly
Comment 12 David Baron :dbaron: ⌚️UTC-7 2001-07-16 22:41:51 PDT
This may be a duplicate of bug 25888.
Comment 13 Hixie (not reading bugmail) 2001-09-04 13:14:28 PDT
*** Bug 59811 has been marked as a duplicate of this bug. ***
Comment 14 David Baron :dbaron: ⌚️UTC-7 2001-09-17 13:58:09 PDT
I'm pretty sure this has the same cause as bug 25888 -- see my 2001-09-17 13:56
comment on bug 86947.
Comment 15 Kevin McCluskey (gone) 2001-10-04 16:33:50 PDT
Build reassigning Buster's bugs to Marc.
Comment 16 Marc Attinasi 2002-02-28 15:58:56 PST
It would be nice to fix this, but for Mozilla 1.0 we are already way overloaded
just with crashers and dataloss bugs. 
Comment 17 Greg K. 2002-07-11 00:38:19 PDT
Confirmed using FizzillaCFM/2002070913. Setting Platform=All.
Comment 18 David Baron :dbaron: ⌚️UTC-7 2003-06-08 11:58:21 PDT
Marking dependency on bug 25888, but not duplicate, since this is a more
complicated variant of the problem that might not be fixed by any fix to bug
25888 (although it should be fixed by the *right* fix).
Comment 19 Uri Bernstein (Google) 2004-09-25 14:35:19 PDT
bug 260095 is a duplicate of this bug. Can someone please mark it as such?
Comment 20 Boris Zbarsky [:bz] (still a bit busy) 2004-09-25 14:39:34 PDT
*** Bug 260095 has been marked as a duplicate of this bug. ***
Comment 21 Uri Bernstein (Google) 2004-10-15 13:48:31 PDT
*** Bug 251139 has been marked as a duplicate of this bug. ***
Comment 22 Matthew McGillis 2005-04-12 12:12:54 PDT
Created attachment 180508 [details]
AnotherCase

Another example that demonstrates the same problem but in little different
situation.
Comment 23 Uri Bernstein (Google) 2005-08-19 01:15:00 PDT
*** Bug 305169 has been marked as a duplicate of this bug. ***
Comment 24 Uri Bernstein (Google) 2006-08-08 09:27:08 PDT
*** Bug 347859 has been marked as a duplicate of this bug. ***
Comment 25 Eli Friedman 2007-05-25 11:01:29 PDT
*** Bug 381988 has been marked as a duplicate of this bug. ***
Comment 26 Emil Ivanov 2010-01-29 08:48:34 PST
WFM with Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.2) Gecko/20100115 Firefox/3.6
and
Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.3a1pre) Gecko/20100128 Minefield/3.7a1pre
Comment 27 David Baron :dbaron: ⌚️UTC-7 2010-01-29 10:10:31 PST
Yes, this was fixed by the parts of bug 25888 that landed, in particular by http://hg.mozilla.org/mozilla-central/rev/be75e40365ce .

Note You need to log in before you can comment on or make changes to this bug.